Bug 826260 - Screencast generates webm file with unknown duration
Screencast generates webm file with unknown duration
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 17:28 EDT by Aram Agajanian
Modified: 2013-08-01 02:35 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:35:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 673017 None None None 2012-08-18 12:58:14 EDT

  None (edit)
Description Aram Agajanian 2012-05-29 17:28:19 EDT
Description of problem:
If you generate a webm file using Gnome Shell's screencast function, the webm file seems to have an unknown duration.  You can see this when you try to play the file with Totem.  The duration value keeps increasing as the video plays.

This unknown duration causes problems with the Pitivi video editor.  It is unable to insert the full length of the video into the file.  Instead, it inserts only a very short portion of the video.

Version-Release number of selected component (if applicable):
gnome-shell-3.4.1-5.fc17.x86_64

How reproducible:
Happens every time.

Steps to Reproduce:
1.  Generate a webm Screencast file with the Ctrl-Alt-Shift-R key combination.
2.  Play the file with totem
  
Actual results:
The duration of the screencast video is incorrectly displayed in Totem.

Expected results:
The duration of the screencast video is correctly displayed in Totem.
Comment 1 Kate 2012-08-03 05:09:11 EDT
I can confirm this, and all other programs can not work correctly with produced video file:
ffmpeg2theora says: WARNING: Can't get duration of media, not indexing, writing Skeleton 3 track. (and than it works very slowly with this file)
pitivi: Can extract only about 0.6 seconds from the file, any attempt to edit or freezes pitivi.
firefox+html5 video tag: plays well (just like totem) but unable to replay video.
Comment 2 Andrei Cristian Petcu 2012-12-02 13:01:17 EST
I tried it with Kdenlive and it still happens. Do you have a quick fix :) ? Maby converting the file with another program fixes the index?
Comment 3 Aram Agajanian 2012-12-05 17:33:25 EST
I was able to use Transmageddon to convert a webm file created by Gnome Shell as a screencast to a webm file that works in Pitivi.
Comment 4 Andrei Cristian Petcu 2012-12-05 18:32:19 EST
I alos tried Transmageddon but it didn't work so I put VLC to play it on full screen while Kazam screencaster was recording it. I was in a big hurry and this ugly workaround fixed it :)
Comment 5 JYundt 2012-12-18 12:10:37 EST
I'm having the same problem.

Any chance it could be related to this bug: https://bugzilla.redhat.com/show_bug.cgi?id=869007 ?
Comment 6 Fedora End Of Life 2013-07-03 21:46:06 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 02:35:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.